package com.bjlt.spider.interfaces.lionairthai;

import com.bjlt.spider.entity.OrderRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "spider-order-service" ,fallback = LionairthaiWebOrderRpcHystrix.class)
public interface LionairthaiWebOrderRpc {

    /**
     * 狮子生单
     * @param orderRequestEntity
     * @return
     */
    @RequestMapping(value = "/lionairthai/web/order", method = RequestMethod.POST)
    public RespEntity order(@RequestBody OrderRequestEntity orderRequestEntity);

}
