package com.bjlt.spider.interfaces.vietjetair;

import com.bjlt.spider.entity.OrderRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "spider-order-service" ,fallback = VietjetairWebOrderRpcHystrix.class)
public interface VietjetairWebOrderRpc {

    /**
     * 越捷
     * @param orderRequestEntity
     * @return
     */
    @RequestMapping(value = "/vietjetair/order", method = RequestMethod.POST)
    public RespEntity order(@RequestBody OrderRequestEntity orderRequestEntity);

}
